#ifndef GESTURE_CONFIG_PAGE_H
#define GESTURE_CONFIG_PAGE_H

#include <qwidget.h>
#include <qhbox.h>
#include <qlist.h>

class QListView;
class QListViewItem;
class QPushButton;

class KConfig;
class Gesture;

class GestureConfigPage : public QHBox
  {
friend class ConfigDialog;

  Q_OBJECT
  
    public:
  GestureConfigPage(QWidget *parent, const char *name);
  ~GestureConfigPage();

  signals:
  void modified();

 protected slots:
 void slotNewButtonClicked();
  void slotRemoveButtonClicked();
  void slotModifyButtonClicked();
  void slotCurrentChanged(QListViewItem *item);
  
    protected:
    void readOptions(KConfig &config);
  void writeOptions(KConfig &config);

    private:
  Gesture *findGesture(Q_UINT32 uid);
    
  QPushButton *_newButton;
  QPushButton *_removeButton;
  QPushButton *_modifyButton;
  QListView *_gestureListView;

  QList<Gesture> _gestureList;
  };

#endif
