#ifndef GESTURE_RECORD_PAGE_H
#define GESTURE_RECORD_PAGE_H

#include <qlist.h>
#include <qvbox.h>

class QWidget;
class QPushButton;
class QLabel;
class Gesture;
class GestureRecorder;
class GestureDrawer;

class GestureRecordPage : public QVBox
  {
  Q_OBJECT
  
    public:
  GestureRecordPage(QList<Gesture> &gList,
		    QWidget *parent, const char *name);
  ~GestureRecordPage();

  Gesture *getGesture() { return _gest; }
  
 protected slots:
 void slotRecorded(const QString &data);
  void slotResetClicked();
  
  signals:
  void readyForNext(bool);
  
    private:
  QList<Gesture> &_gestureList;

  GestureRecorder *_recorder;
  QPushButton *_resetButton;
  GestureDrawer *_tryOne;
  GestureDrawer *_tryTwo;
  GestureDrawer *_tryThree;

  Gesture *_gest;

  Q_UINT32 _tryCount;
  };

#endif
