#include <kdebug.h>

#include "gesturerecognizer.h"
#include "gesture.h"

GestureRecognizer::GestureRecognizer(QObject *parent, const char *name)
  : QObject(parent, name), _gestureList()
  {
  _gestureList.setAutoDelete(true);
  }

GestureRecognizer::~GestureRecognizer()
  {
  }

Gesture *GestureRecognizer::lookupGesture(const Gesture &g)
  {
  Gesture *gest = NULL;
  bool found = false;
  QListIterator<Gesture> iter(_gestureList);

  // Iterator through the list of gestures and try to find it
  for (iter.toFirst(); iter.current() && !found; ++iter)
    {
    gest = iter.current();

    if (*gest == g)
      {
      found = true;
      }
    }

  if (found)
    return gest;
 
  return NULL;
  }

void GestureRecognizer::readOptions(KConfig &config)
  {
  _gestureList.clear();

  _gestureList = Gesture::readGestures(config);
  }

void GestureRecognizer::writeOptions(KConfig &config)
  {
  Gesture::writeGestures(_gestureList, config);
  }
